org.red5.server.stream

## Enum IProviderService.INPUT_TYPE

- java.lang.Object
- - java.lang.Enum<IProviderService.INPUT_TYPE>
  - - org.red5.server.stream.IProviderService.INPUT_TYPE

All Implemented Interfaces:
  Serializable, Comparable<IProviderService.INPUT_TYPE>

Enclosing interface:
  IProviderService

    public static enum IProviderService.INPUT_TYPE
    extends Enum<IProviderService.INPUT_TYPE>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LIVE`
`LIVE_WAIT`
`NOT_FOUND`
`VOD`

### Method Summary

Methods
`static IProviderService.INPUT_TYPE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IProviderService.INPUT_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_FOUND

    public static final IProviderService.INPUT_TYPE NOT_FOUND

#### LIVE

    public static final IProviderService.INPUT_TYPE LIVE

#### LIVE_WAIT

    public static final IProviderService.INPUT_TYPE LIVE_WAIT

#### VOD

    public static final IProviderService.INPUT_TYPE VOD

### Method Detail

#### values

    public static IProviderService.INPUT_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IProviderService.INPUT_TYPE c : IProviderService.INPUT_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IProviderService.INPUT_TYPE valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null